com.here.msdkui.guidance

## Class GuidanceNextManeuverView.SavedState

- java.lang.Object
- - android.view.AbsSavedState
  - - android.view.View.BaseSavedState
    - - com.here.msdkui.guidance.GuidanceNextManeuverView.SavedState

- All Implemented Interfaces:
    android.os.Parcelable
  Enclosing class:
    GuidanceNextManeuverView

      public static class GuidanceNextManeuverView.SavedState
      extends android.view.View.BaseSavedState

  State class to save internal data on activity re-creation.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<GuidanceNextManeuverView.SavedState>` | `CREATOR` Creator for parcelable.

    - ### Fields inherited from class android.view.AbsSavedState

      `EMPTY_STATE`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeToParcel(android.os.Parcel out, int flags)`

    - ### Methods inherited from class android.view.AbsSavedState

      `describeContents, getSuperState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final android.os.Parcelable.Creator<GuidanceNextManeuverView.SavedState> CREATOR

      Creator for parcelable.

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel out,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`
      Overrides:
        `writeToParcel` in class `android.view.View.BaseSavedState`